<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xxfc.platform.universal.mapper.IdInformationMapper">

    <resultMap type="com.xxfc.platform.universal.entity.IdInformation" id="IdInformation">
        <result property="id" column="id"/>
        <result property="idNumber" column="id_number"/>
        <result property="name" column="name"/>
        <result property="userLoginId" column="user_login_id"/>
        <result property="certificateType" column="certificate_type"/>
        <result property="frontUrl" column="front_url"/>
        <result property="backUrl" column="back_url"/>
        <result property="expirationDate" column="expiration_date"/>
        <result property="authenticationMethods" column="authentication_methods"/>
    </resultMap>
    <select id="selectByUserId" resultType="com.xxfc.platform.universal.entity.IdInformation" parameterType="java.lang.Integer">
        select * from id_information where user_login_id = #{userLoginId}
    </select>


</mapper>